# set to non-free as there are scenario files of uncertain copyright
# status
%define distro_section "nonfree"

Name:		lgeneral
Version:	1.2.3
Release:	%mkrel 1
Summary:	A Panzer General clone
URL:		http://lgames.sourceforge.net/index.php?project=LGeneral
Source0:	http://prdownloads.sourceforge.net/lgeneral/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/lgeneral/pg-data.tar.gz
Patch0:		lgeneral-1.2.2-fix-format-errors.patch
Patch4:		lgeneral-1.2-make-lgc-pg-buildroot-aware.patch
Patch5:		lgeneral-config.patch
License:	GPLv2+
Group:		Games/Strategy
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL-devel
BuildRequires:	gettext-devel
BuildRequires:	x11-server-xvfb
BuildRequires:	desktop-file-utils

%description
LGeneral is a turn-based strategy engine heavily inspired by Panzer General.
You play single scenarios or whole campaigns turn by turn against a human
player or the AI. Entrenchment, rugged defense, defensive fire, surprise
contacts, surrender, unit supply, weather influence, reinforcements and other
implementations contribute to the tactical and strategic depth of the game.

%prep
%setup -q -a1
%patch0 -p1
%patch4 -p1
%patch5 -p1

%build
%__cp /usr/share/gettext/config.rpath .
autoreconf -fi
%configure2_5x	--bindir=%{_bindir} --datadir=%{_datadir}
%make

%install
%makeinstall_std

desktop-file-install	--dir %{buildroot}%{_datadir}/applications \
			--add-category="StrategyGame" \
			%{buildroot}%{_datadir}/applications/%{name}.desktop

%__sed -i s,Icon=.*,Icon=lgeneral48, %{buildroot}%{_datadir}/applications/%{name}.desktop

%if %{mdvver} <= 201100
%find_lang %{name} lgeneral pg
%else
%find_lang lgeneral pg %{name}.lang
%endif
%{__mkdir_p} %{buildroot}%{_datadir}/lgeneral/gfx/flags
%{__mkdir_p} %{buildroot}%{_datadir}/lgeneral/gfx/units
%{__mkdir_p} %{buildroot}%{_datadir}/lgeneral/gfx/terrain/pg
# install data files
xvfb-run lgc-pg/lgc-pg -s pg-data -d %{buildroot}%{_datadir}/lgeneral

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO
%{_datadir}/%{name}
%{_iconsdir}/%{name}48.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man[16]/*
%{_bindir}/*



%changelog
* Sun Feb 24 2013 joequant <joequant> 1.2.3-1.mga4
+ Revision: 400241
- imported package lgeneral

